Bug 192067 - stdin in %pre section not moved to right vt
Summary: stdin in %pre section not moved to right vt
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2006-05-17 12:07 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0215
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:22:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-pre-stdin.patch (410 bytes, patch)
2006-05-17 12:07 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0215 normal SHIPPED_LIVE anaconda, and rhpl bug fix update 2007-05-01 17:16:50 UTC

Description Bastien Nocera 2006-05-17 12:07:40 UTC
anaconda-10.1.1.37-1

1. Prepare a kickstart installation
2. Have a script which needs stdin (eg. a "read" call) used in %pre
3. See that the stdin is read off the wrong tty

Patch from Imed Chihi <ichihi@redhat.com>

Comment 1 Bastien Nocera 2006-05-17 12:07:44 UTC
Created attachment 129312 [details]
anaconda-pre-stdin.patch

Comment 3 Bastien Nocera 2006-05-17 13:14:15 UTC
Apologies, patch is actually from Hannu Martikka <hannu.martikka@nokia.com>

Comment 5 Chris Lumens 2006-05-31 16:18:23 UTC
Committed in Rawhide for some testing.

Comment 8 RHEL Product and Program Management 2006-08-18 15:53:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 13 David Lawrence 2007-04-10 21:25:33 UTC
Verified by QE this fix is in latest snapshot release.

Comment 15 Red Hat Bugzilla 2007-05-01 17:22:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0215.html



Note You need to log in before you can comment on or make changes to this bug.